Начало

From Aimeos documentation

This page is a translated version of the page Home and the translation is 64% complete.

Other languages:
Deutsch 93% • ‎English 100% • ‎русский 64%


Если Вам больше нравиться созерцать документацию на родном языке и сделать её доступной широкой общественности, намекните нам и мы создадим для Вас учётную запись!


Требуемое программное обеспечение

  • Unix-like system (e.g. BSD, Linux, MacOS X, Solaris)
  • Webserver (e.g. Apache, nginx)
  • MySQL 5.1.6 or later
  • PHP >= 5.3.3 or HHVM

PHP modules

  • curl
  • fileinfo
  • gd
  • json
  • mbstring
  • pcre
  • PDO
  • pdo_mysql
  • zip
  • dom (optional, for default service delivery provider)
  • APC/APCU for optimal performance (optional)

PHP settings

  • always_populate_raw_post_data = -1

Установка на Ubuntu

Подразумевается, что у вас уже есть базовые знания об интерфейсе командной строки в Linux, и что вы используете установку LAMP по умолчанию в Ubuntu, а не XAMPP.

  1. sudo apt-get install apache2-mpm-prefork mysql-server
  2. sudo apt-get install php5 php5-common php5-mysql php5-curl php5-gd
  3. sudo apt-get install git

Перезапустите сервис apache для правильной работы:

  1. sudo service apache2 restart